Skip to main content
GET
/
v1
/
actors
/
{actor_id}
Get Actor
curl --request GET \
  --url https://api.corpus.intrace.ai/v1/actors/{actor_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "canonicalName": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "aliases": [
    "<string>"
  ],
  "description": "<string>",
  "articleCount": 0,
  "eventCount": 0,
  "sourceDomains": [
    "<string>"
  ],
  "firstMentionDate": "2023-12-25",
  "lastMentionDate": "2023-12-25",
  "eventTypesBreakdown": {},
  "rolesBreakdown": {}
}

Authorizations

X-API-Key
string
header
required

Headers

x-api-key
string | null

Corpus API key

Path Parameters

actor_id
string<uuid>
required

Query Parameters

api_key
string | null

Corpus API key

Response

Successful Response

Extended actor representation with analysis data.

id
string<uuid>
required
canonicalName
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
aliases
string[] | null
description
string | null
articleCount
integer
default:0
eventCount
integer
default:0
sourceDomains
string[] | null
firstMentionDate
string<date> | null
lastMentionDate
string<date> | null
eventTypesBreakdown
Eventtypesbreakdown · object
rolesBreakdown
Rolesbreakdown · object